import pytest

from utils.utils import delta1, delta2, delta3, delta31, delta4, delta41
from utils.utils import delta5, delta66, delta67, delta68, delta69, delta91
from utils.utils import delta92

def test_delta1():
    """Unittest delta1."""

    assert delta1(1,1,1,1) == 0
    assert delta1(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta2():
    """Unittest delta2."""

    assert delta2(1,2,2,1) == pytest.approx(-1.111, 0.01)

def test_delta3():
    """Unittest delta3."""

    assert delta3(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta31():
    """Unittest delta31"""

    assert delta31(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta4():
    """Unittest delta4."""

    assert delta4(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta41():
    """Unittest delta41."""

    assert delta41(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta5():
    """Unittest delta5."""

    assert delta5(1,2,2,1) == pytest.approx(-1.111, 0.01)

def test_delta66():
    """Unittest delta66."""

    assert delta66(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta67():
    """Unittest delta67."""

    assert delta67(1,2,2,1) == pytest.approx(-0.222, 0.01)

def test_delta68():
    """Unittest delta68."""

    assert delta68(1,2,2,1) == pytest.approx(-0.222, 0.01)

def test_delta69():
    """Unittest delta69."""

    assert delta69(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta91():
    """Unittest delta91."""

    assert delta91(1,2,2,1) == pytest.approx(-0.444, 0.01)

def test_delta92():
    """Unittest delta92."""
    
    assert delta92(1,2,2,1) == pytest.approx(-0.111, 0.01)